Subject: Re: [rfc-i] [Tools-discuss] what metric replaces page-count?

From: "John R Levine" <[email-masked]>
Date: 12 Apr 2021 21:54:02 -0400

> I have never testified in court, but would they really use an XML source
> there?

When I'm putting together a declaration, I can use whatever I want so long as I 
provide it to the other party's lawyers.

The appearance of our HTML rendered RFCs is set by the stylesheet which is easy 
to override, so I could tweak the stylesheet to show the paragraph numbers and 
print that.

Alternatively, the PDF rendering is paginated and that's what we provide in 
response to legal document requests.  They have the XML file as an attachment 
if people want to look at or render the XML themselves.

R's,
John

>> On Apr 12, 2021, at 17:37, John Levine <[email-masked]> wrote:
>> 
>> It appears that Ole Jacobsen  <[email-masked]> said:
>>> 
>>> And sections NEVER span more than a single page, do they now?
>>> 
>>> That would be "inaccurate" I guess.
>> 
>> If you look at an RFC's XML, every paragraph has a number. Hover over
>> the paragraph mark at the end of the paragraph in the HTML rendering
>> and you'll see the URL for that paragraph, including a fragment
>> identifier for the paragraph.

_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: "John R Levine" <[email-masked]>
Date: 12 Apr 2021 21:54:22 -0400

>> Like I said, every paragraph in an RFC has a number and a fragment
>> identifier.
> 
> None of the renderings render a _visible_, printable paragraph number.

The HTML rendering shows whatever ths style sheet says to show.  It's easy to 
override the stylesheet if you wanted to show the paragraph numbers.

> Some of the HTML renderings do render anchored paragraphs, and you can
> hover a pointer over the paragraph to get a pilcrow to appear with the
> anchor for the paragraph.  (Is that accessible?  I imagine it must be.)

That's part of the normal stylsheet for *all* of our XML RFCs..

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest